#!/bin/sh

timestamp=`date +%s`
mvn -s settings.xml -Djetty.port=18080 -Dinfinispan.bdb="cache1-$timestamp" jetty:start > jetty_18080_$timestamp.log 2>&1 &
jetty1=$!
mvn -s settings.xml -Djetty.port=18081 -Dinfinispan.bdb="cache2-$timestamp" jetty:start > jetty_18081_$timestamp.log 2>&1 &
jetty2=$!

curl http://localhost:18080/ > /dev/null 2>&1
while [ $? != "0" ]
do
    echo "Waiting for 18080"
    sleep 1
    curl http://localhost:18080/ > /dev/null 2>&1
done


# Starting 18081 would result in MODE-1733 instead
#
# curl http://localhost:18081/ > /dev/null 2>&1
# while [ $? != "0" ]
# do
#     echo "Waiting for 18081"
#     sleep 1
#     curl http://localhost:18081/ > /dev/null 2>&1
# done

echo Creating content on 18080
ab -T "application/json" -c 4 -n 1000 -r -u 'src/main/resources/json' 'http://localhost:18080/document/kiffe' > initial_create_$timestamp.log 2>&1

echo Counting content on 18081
curl -s -S 'http://localhost:18081/document/kiffe/count' > count_$timestamp.log  2>&1 &

echo Creating more content on 18080
ab -T "application/json" -c 4 -n 1000 -r -u 'src/main/resources/json' 'http://localhost:18080/document/kiffe' > concurrent_create_$timestamp.log 2>&1

echo Killing Jetty
kill $jetty1 $jetty2
